Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.pref
Class MailPreferences.MessageOrdering

    java.lang.Object
      portlets.compoze.groupware.pref.MailPreferences.MessageOrdering

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  MailPreferences

public static class MailPreferences.MessageOrdering
extends java.lang.Object
implements java.io.Serializable

This class represents the message ordering.

See Also:
  Serialized Form

Field Summary
`static int` | `RULE_ASCENDING_BY_DATE` This value represents order by ascending by date.
`static int` | `RULE_DESCENDING_BY_DATE` This value represents order by descending by date.

Constructor Summary
`MailPreferences.MessageOrdering()` Constructor.
`MailPreferences.MessageOrdering(int iOrderingRule)` Constructor.

Method Summary
`int` | `getOrderingRule()` Gets the ordering rule.
`void` | `setOrderingRule(int iOrderingRule)` Sets the ordering rule.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RULE_DESCENDING_BY_DATE

    public static final int RULE_DESCENDING_BY_DATE

  This value represents order by descending by date.

  See Also:
    Constant Field Values

### RULE_ASCENDING_BY_DATE

    public static final int RULE_ASCENDING_BY_DATE

  This value represents order by ascending by date.

  See Also:
    Constant Field Values

Constructor Detail

### MailPreferences.MessageOrdering

    public MailPreferences.MessageOrdering(int iOrderingRule)

  Constructor.

Parameters:
  `iOrderingRule` - the ordering rule

### MailPreferences.MessageOrdering

    public MailPreferences.MessageOrdering()

  Constructor.

Method Detail

### getOrderingRule

    public int getOrderingRule()

  Gets the ordering rule.

  Returns:
    the ordering rule (see `RULE_` constants)

### setOrderingRule

    public void setOrderingRule(int iOrderingRule)

  Sets the ordering rule.

  Parameters:
    `iOrderingRule` - the ordering rule (see `RULE_` constants)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.